glab(1)

NAME

glab-repo-view - View a project or repository.

SYNOPSIS

glab repo view [repository] [flags]

DESCRIPTION

Display the description and README of a project, or open it in the browser.

OPTIONS

-b, --branch=""
    View a specific branch of the repository.

-F, --output="text"
    Format output as: text, json.

-w, --web[=false]
    Open a project in the browser.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

EXAMPLE
    # View project information for the current directory.
    # Must be a Git repository.
    $ glab repo view
    # View project information of specified name.
    $ glab repo view my-project
    $ glab repo view user/repo
    $ glab repo view group/namespace/repo
    # Specify repository by full [Git] URL.
    $ glab repo view git@gitlab.com:user/repo.git
    $ glab repo view https://gitlab.company.org/user/repo
    $ glab repo view https://gitlab.company.org/user/repo.git

SEE ALSO

glab-repo(1)